Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeHashMap.EntrySet.EntrySetIterator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractStableIterator
com.tangosol.util.SafeHashMap.EntrySet.EntrySetIterator`

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  SafeHashMap.EntrySet

      protected class SafeHashMap.EntrySet.EntrySetIterator

extends AbstractStableIterator

An Iterator over the EntrySet that is backed by the SafeHashMap.

Constructor Summary
`protected` | `SafeHashMap.EntrySet.EntrySetIterator()` Construct an Iterator over the Entries in the SafeHashMap.

Method Summary
`protected void` | `advance()` Advance to the next object.
`protected void` | `deactivate()` Shut down the Iterator.
`protected void` | `remove(java.lang.Object oPrev)` Remove the specified item.

Methods inherited from class com.tangosol.util.AbstractStableIterator
`getPrevious, hasNext, next, remove, setNext`

Constructor Detail

### SafeHashMap.EntrySet.EntrySetIterator

    protected SafeHashMap.EntrySet.EntrySetIterator()

  Construct an Iterator over the Entries in the SafeHashMap. Special care must be taken to handle the condition in which the SafeHashMap is currently resizing.

Method Detail

### advance

    protected void advance()

  Advance to the next object.
  Specified by:
    `advance` in class `AbstractStableIterator`

### remove

    protected void remove(java.lang.Object oPrev)

  Remove the specified item. This is an optional operation. If the Iterator supports element removal, then it should implement this method, which is delegated to by the `AbstractStableIterator.remove()` method.
  Overrides:
    `remove` in class `AbstractStableIterator`
  Parameters:
    `oPrev` - the previously iterated object that should be removed

### deactivate

    protected void deactivate()

  Shut down the Iterator. This is done on exhaustion of the contents of the Iterator, or on finalization of the Iterator.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.